#include <mof/widget/NullView.hpp>
    
namespace mof
{
namespace widget
{
//{{{ constructor
    NullView::NullView()
    {
    }
//}}}
//{{{ destructor
    NullView::~NullView()
    {
    }
//}}}
//{{{ update
    void NullView::update( )
    {
    }
//}}}
//{{{ draw
    void NullView::draw( ) const
    {
    }
//}}}
//{{{ setVisible
    void NullView::setVisible(bool)
    {
    }
//}}}
//{{{ show
    FrameNumber NullView::show(bool) 
    {
        return 0;
    }
//}}}
//{{{ hide
    FrameNumber NullView::hide(bool)
    {
        return 0;
    }
//}}}
//{{{ focus
    FrameNumber NullView::focus(bool) 
    {
        return 0;
    }
//}}}
//{{{ blur
    FrameNumber NullView::blur(bool imidiately)
    {
        return 0;
    }
//}}}
//{{{ click
    FrameNumber NullView::click(bool)
    {
        return 0;
    }
//}}}
//{{{ getPreferredSize
	mof::Vector2D NullView::getPreferredSize() const
    {
        return mof::Vector2D(0, 0);
    }
//}}}

}
} // namespace mof
